squareball 0.2.0.50-8649 A general-purpose library for C99

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sb_parser_error_t Struct Reference

`#include <squareball/sb-parsererror.h>`

## Data Fields
char * | msg
char * | linestr
size_t | lineno
size_t | pos

## Detailed Description

Data structure that represents a parser error data.

## Field Documentation

size_t sb_parser_error_t::lineno

Number of the line where the error happened, starting from `1`.

char* sb_parser_error_t::linestr

String containing the line where the error happened.

char* sb_parser_error_t::msg

Error message.

size_t sb_parser_error_t::pos

Position of the character where the error happened, relative to the line and starting from `1`.

The documentation for this struct was generated from the following file:

- squareball/sb-parsererror.h